%define ver  	0.99.13
%define rel	1mdk

Summary: 	GNOME/GTK Client for Masqdialer 
Name: 		gmasqdialer
Version: 	%{ver}
Release: 	%{rel}
License: 	GPL
Group:		Networking/Remote access
URL:		http://www.dpinson.com/software/gmasqdialer/
Source: 	%{URL}/files/%{name}-%{ver}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libgnome32-devel libpango-devel libatk-devel gtk+2-devel 
BuildRequires:	glib2-devel
BuildRequires:	ImageMagick

%description
Gnome client that allows a user to manipulate a Masqdialer controlled ppp link. 

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

#Menu:
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
        command="%{_bindir}/%{name}" \
	needs="x11" \
	icon="%{name}.png" \
	section="Networking/Remote access" \
	title="%{name}" \
	longtitle="Gnome Client for the masqdialer modem server"
EOF

mkdir -p %{buildroot}%{_liconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
convert -resize 48x48 %{name}-icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -resize 32x32 %{name}-icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 16x16 %{name}-icon.png %{buildroot}%{_miconsdir}/%{name}.png	

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Dec 01 2002 Buchan Milne <bgmilne@linux-mandrake.com> 0.99.13-1mdk
- 0.99.13
- Package Gnome menu entry to make rpm happy.

* Mon Nov 18 2002 Buchan Milne <bgmilne@linux-mandrake.com> 0.99.12-1mdk
- Mandrake package
